<?php
include ("../conexion.php");
include ("../funciones/fechas.php");

$cdglin="";
$cdgfam=$_POST["Familia"];
$cdgcli      =$_POST["cdgcli"];
$dsccli      =$_POST["dsccli"];

if ( $cdgfam==""){ $cdgfam=""; $cdglin=""; } else  { $cdgfam=$_POST["Familia"]; }

$fechainicio=$_POST["fechainicio"];
$fechafin=$_POST["fechafin"];

$horaini      =$_POST["horaini"];
$horafin      =$_POST["horafin"];
/**********************HORA DE INICIO******************************/
if  ( $horaini<> "" ){

			$hora_ini = substr($horaini, 0, -5);// se le quitan los ultimos 5 caracteres (04:45AM)
			$minutos_ini = substr($horaini, 2, -2);// 
			$minutos_ini = str_replace ( ":", '', $minutos_ini); // le quito los dos puntos a los minutos y los agrego al final
			$tarde_ini  = substr($horaini,-2);//  devuelve am o pm

		if ($tarde_ini=="pm"){
		
				if  ($hora_ini=='1'){$hora_ini=13;}
			else if ($hora_ini=='2'){ $hora_ini=14;}
			else if ($hora_ini=='3'){$hora_ini=15;}
			else if ($hora_ini=='4'){$hora_ini=16;}
			else if ($hora_ini=='5'){$hora_ini=17;}
			else if ($hora_ini=='6'){$hora_ini=18;}
			else if ($hora_ini=='7'){$hora_ini=19;}
			else if ($hora_ini=='8'){$hora_ini=20;}
			else if ($hora_ini=='9'){$hora_ini=21;}
			else if ($hora_ini=='10'){$hora_ini=22;}
			else if ($hora_ini=='11'){$hora_ini=23;}
			else if ($hora_ini=='12'){$hora_ini=12;}

	}
	
$horaini= $hora_ini.':'.$minutos_ini;


}
/**********************HORA DE FIN******************************/
if  ( $horafin<> "" ){

			$hora_fin = substr($horafin, 0, -5);// se le quitan los ultimos 5 caracteres (04:45AM)
			$minutos_fin = substr($horafin, 2, -2);// 
			$minutos_fin = str_replace ( ":", '', $minutos_fin); // le quito los dos puntos a los minutos y los agrego al final
			$tarde_fin  = substr($horafin,-2);//  devuelve am o pm

		if ($tarde_fin=="pm"){
		
				if  ($hora_fin =='1'){$hora_fin =13;}
			else if ($hora_fin =='2'){ $hora_fin =14;}
			else if ($hora_fin =='3'){$hora_fin =15;}
			else if ($hora_fin =='4'){$hora_fin =16;}
			else if ($hora_fin =='5'){$hora_fin =17;}
			else if ($hora_fin =='6'){$hora_fin =18;}
			else if ($hora_fin =='7'){$hora_fin =19;}
			else if ($hora_fin =='8'){$hora_fin =20;}
			else if ($hora_fin =='9'){$hora_fin =21;}
			else if ($hora_fin =='10'){$hora_fin =22;}
			else if ($hora_fin =='11'){$hora_fin =23;}
			else if ($hora_fin =='12'){$hora_fin =24;}

	}
	

	
$horafin= $hora_fin .':'.$minutos_fin;



}


/****************************************************/



 $fechainicio= implode("-", array_reverse(explode("-", $fechainicio))); 
$fechafin= implode("-", array_reverse(explode("-", $fechafin))); 


$where="1=1 AND	vista_reporte_familias_notas.estadoComprobanteIntegracion <> 3";
if ($cdglin <> "") { $where.=" AND vista_reporte_familias_notas.cdglin='$cdglin'"; }
if ($cdgfam <> "") { $where.=" AND vista_reporte_familias_notas.cdgfam='$cdgfam'"; }

if ($cdgcli<> "") { $where.=" AND vista_reporte_familias_notas.cdgcli='$cdgcli'"; }
//if ($dsccli<> "") { $where.=" AND dsccli like '%$dsccli%'"; }

if (($fechainicio<>"") and ($fechafin<>"")) {
	 $where.=" AND vista_reporte_familias_notas.fecfac between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND vista_reporte_familias_notas.fecfac >='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND vista_reporte_familias_notas.fecfac <='".$fechafin."'";
		}
	}
}



if (($horaini<>"") and ($horafin<>"")) {
	 $where.=" AND vista_reporte_familias_notas.horfac between '".$horaini."' AND '".$horafin."'";
} else {
	if ($horaini<>"") {
	 	$where.=" AND vista_reporte_familias_notas.horfac>='".$horaini."'";
	} else {
		if ($horafin<>"") {
		$where.=" AND vista_reporte_familias_notas.horfac<='".$horafin."'";
		}
	}
}

$totalfacturas=0;
  
  if ($result = $mysqli->query("SELECT * FROM vista_reporte_familias_notas WHERE  borrado=0  AND ".$where)) {
   $filas = $result->num_rows;
   $result->close();
}




?>
<html>
	<head>
		<title>Clientes</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">

					      

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.totalfacturas.value=document.getElementById("totalfacturas").value;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+15);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+16;
			}
		}
		
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

function pon_prefijo(cantidad,importe,mondes,impuesto,total) {

	parent.document.form_busqueda.importe.value=importe;
	parent.document.form_busqueda.mondes.value=mondes;
	parent.document.form_busqueda.impuesto.value=impuesto;
	parent.document.form_busqueda.total.value=total;
	parent.document.form_busqueda.cantidad.value=cantidad;
	
    
}

		
		</script>
	</head>

	<body onload= nobackbutton(); inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">
			<input type="hidden" name="totalfacturas" id="totalfacturas" value="<?php echo $totalfacturas?>">
				<?php
					if ($filas > 0) {
 $contador=0;
 $marcaestado=0;	
 $marcaborrado=0;						
					/*   					
				$consulta = "SELECT SUM(mondes) AS mondes, SUM(importe) AS importe, SUM(impuesto) AS impuesto, SUM(cantidad) AS cantidad, factulinea.cdgfam, factulinea.borrado, factulinea.codigo, web_1001.dscart, factulinea.fecfac , familias.dscfam FROM factulinea,familias, web_1001 WHERE web_1001.cdgbar=factulinea.codigo AND factulinea.cdgfam=familias.cdgfam AND factulinea.borrado=0   AND ".$where. " GROUP BY  factulinea.codigo  ORDER BY  factulinea.cdgfam,  factulinea.dscart ASC " ;
				
			*/	
			/*
			
							$consulta = "SELECT SUM(mondes) AS mondes, SUM(importe) AS importe, SUM(impuesto) AS impuesto, SUM(cantidad) AS cantidad, vista_reporte_familias_notas.cdgfam, vista_reporte_familias_notas.borrado, vista_reporte_familias_notas.codigo, vista_reporte_familias_notas.dscart, vista_reporte_familias_notas.fechac, vista_reporte_familias_notas.dscfam FROM vista_reporte_familias_notas WHERE  vista_reporte_familias_notas.borrado=0   AND ".$where. " GROUP BY  vista_reporte_familias_notas.codigo  ORDER BY  vista_reporte_familias_notas.cdgfam,  vista_reporte_familias_notas.dscart ASC " ;
	*/						
							
							
								   					
				$consulta = "SELECT SUM(mondes) AS mondes, SUM(importe) AS importe, SUM(impuesto) AS impuesto, SUM(cantidad) AS cantidad,  vista_reporte_familias_notas.cdgfam, vista_reporte_familias_notas.borrado, vista_reporte_familias_notas.codigo, web_1001.dscart, web_1001.EXIACT, vista_reporte_familias_notas.fechac , familias.dscfam FROM vista_reporte_familias_notas,familias, web_1001 WHERE web_1001.cdgbar=vista_reporte_familias_notas.codigo AND vista_reporte_familias_notas.cdgfam=familias.cdgfam AND vista_reporte_familias_notas.borrado=0   AND ".$where. " GROUP BY  vista_reporte_familias_notas.codigo  ORDER BY  vista_reporte_familias_notas.cdgfam,  vista_reporte_familias_notas.dscart ASC " ;


				

if ($resultado = $mysqli->query($consulta)) 

 
    while ($fila = $resultado->fetch_assoc()) {
        $importe   = $fila["importe"];
        $mondes    = $fila["mondes"];
        $impuesto  = $fila["impuesto"];
		
			
	$fechac=$fila["fechac"];
	$date = date_create($fechac);
	$horfac = date_format($date, 'h:i:s A');

	    $total = $importe -  $mondes + $impuesto ;
							
   if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
								<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >

								<td width="2%"><?php $contador+1;?></td>
								
								<td width="13%" align="right"><div align="left"><?php echo $fila["codigo"]?></div></td>	
									<?php	  $dscart = substr($fila["dscart"], 0,40);  ?>	
								<td width="33%"><div align="left"><?php echo $dscart  ?></div></td>	
						
								<td width="8%"><div align="center"><?php echo $fila["cantidad"]?></div></td>
								
								<td width="8%"><div align="center"><?php echo $fila["EXIACT"]?></div></td>
								
	
								<td width="8%"><div align="right"><?php echo number_format($importe,2) ?></div></td>	
								<td width="8%"><div align="right"><?php echo number_format($mondes,2) ?></div></td>	
								<td width="8%"><div align="right"><?php echo number_format($impuesto,2) ?></div></td>	
								<td width="10%"><div align="right"><?php echo number_format($total,2) ?></div></td>	

							
						
						</tr>
						</tr>	
						<?php $contador++;
							}
						?>			
					</table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo 	"No hay articulos que cumplan con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<?php } 
	/*				
$consulta2= ("SELECT  SUM(importe) AS importe, SUM(mondes) AS mondes , SUM(impuesto) AS impuesto ,  SUM(cantidad) AS cantidad, factulinea.cdgfam, familias.cdgfam FROM factulinea, familias WHERE borrado=0 AND  factulinea.cdgfam = familias.cdgfam  AND ".$where );
*/

$consulta2= ("SELECT  SUM(importe) AS importe, SUM(mondes) AS mondes , SUM(impuesto) AS impuesto ,  SUM(cantidad) AS cantidad, vista_reporte_familias_notas.cdgfam, familias.cdgfam FROM vista_reporte_familias_notas, familias WHERE borrado=0 AND  vista_reporte_familias_notas.cdgfam = familias.cdgfam  AND ".$where );

/*
$consulta2= ("SELECT  SUM(importe) AS importe, SUM(mondes) AS mondes , SUM(impuesto) AS impuesto ,  SUM(cantidad) AS cantidad, vista_reporte_familias_notas.cdgfam FROM factulinea WHERE borrado=0  AND ".$where );
*/
	if ($resultado2 = $mysqli->query($consulta2)) 

  	 while ($dato = $resultado2->fetch_assoc()) {
  						
        $importe   = $dato["importe"];
        $mondes    = $dato["mondes"];
        $impuesto  = $dato["impuesto"];
		$cantidad  = $dato["cantidad"];
					
        $total=$importe - $mondes + $impuesto;
	
		$importe  = number_format($importe,2);
		$impuesto = number_format($impuesto,2);
		$mondes   = number_format($mondes,2);
		$total    = number_format($total,2);
		$cantidad = number_format($cantidad,3);
	
	} 				
					?>	
                    	
                    
                 <script languaje="javascript">
	pon_prefijo("<?php echo $cantidad ?>","<?php echo $importe ?>","<?php echo $mondes ?>","<?php echo $impuesto ?>","<?php echo $total?>");
	
		</script>			
				</div>
			</div>
		  </div>			
		</div>
	</body>
</html>
